lkml.org 
[lkml]   [2008]   [Jul]   [24]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Subject[RFC,PATCH] scripts/package: add powerpc images to tarball
From
Date
Currently, tarball builds for powerpc kernels don't have any boot
images (other than vmlinux) present.

Add support for powerpc builds in the buildtar script, to include
a few default images.

Signed-off-by: Jeremy Kerr <jk@ozlabs.org>

---
RFC: any requests for more/less boot images?

---
scripts/package/buildtar | 10 ++++++++++
1 file changed, 10 insertions(+)

diff --git a/scripts/package/buildtar b/scripts/package/buildtar
index 28574ae..85e5563 100644
--- a/scripts/package/buildtar
+++ b/scripts/package/buildtar
@@ -72,6 +72,16 @@ case "${ARCH}" in
x86|i386|x86_64)
[ -f "${objtree}/arch/x86/boot/bzImage" ] && cp -v -- "${objtree}/arch/x86/boot/bzImage" "${tmpdir}/boot/vmlinuz-${KERNELRELEASE}"
;;
+ powerpc)
+ for img in zImage zImage.pseries zImage.iseries \
+ dtbImage dtbImage.ps3
+ do
+ imgpath=arch/powerpc/boot/${img}
+ [ -f "${objtree}/${imgpath}" ] || continue
+ cp -v -- "${objtree}/${imgpath}" \
+ "${tmpdir}/boot/${img}-${KERNELRELEASE}"
+ done
+ ;;
alpha)
[ -f "${objtree}/arch/alpha/boot/vmlinux.gz" ] && cp -v -- "${objtree}/arch/alpha/boot/vmlinux.gz" "${tmpdir}/boot/vmlinuz-${KERNELRELEASE}"
;;

\
 
 \ /
  Last update: 2008-07-24 10:21    [W:0.784 / U:0.404 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site